Summary: japanized BLT2.1
Name: jp-blt
Version: 2.1p1
Release: 1A
Source0: ftp.neosoft.com/languages/tcl/sorted/devel/blt2.1.tar.gz
Copyright: BSD
Group: Development/Languages/Tcl
Patch0: blt2.1-tcl76-tk42-shared.patch
BuildRoot: /tmp/bltroot

%description
Source package for japanized BLT2.1 modified to work with Tcl7.6/Tk4.2. 
The binary packages include descriptions of the functionality provided 
by each portion of this package.

%package -n jp-blt-demos
Version: 2.1p1
Summary: Deomonstartion Programs for Japanized BLT2.1
Group: Development/Languages/Tcl

%description -n jp-blt-demos
This is version 2.1 of the BLT demonstration programs.  

%prep

%setup -n blt2.1
%patch -p1

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local

%build

#
# BLT
#
./configure --prefix=/usr/local
make CFLAGS="$RPM_OPT_FLAGS -DKANJI -DKINPUT2"
make TOPDIR=$RPM_BUILD_ROOT CFLAGS="$RPM_OPT_FLAGS -DKANJI -DKINPUT2" install
chmod a+x $RPM_BUILD_ROOT/usr/local/lib/libBLT.so.2.1
ln -sf libBLT.so.2.1 $RPM_BUILD_ROOT/usr/local/lib/libBLT.so
ln -sf libBLT.so.2.1 $RPM_BUILD_ROOT/usr/local/lib/libBLT.so.2
#
# BLT Deomos
#
mkdir temp
list=`ls demos`
for file in $list; do
   cp -r demos/$file temp/$file
   if [ ! -d demos/$file ]; then
      sed -e 's/#! *\.\.\/bltwish/#!\/usr\/local\/bin\/bltwish/' demos/$file > temp/$file
      if [ `basename temp/$file .` = temp/$file ]; then
	 chmod a+x temp/$file
      fi
   fi
done
mv demos demos.orig
mv temp demos
tar -cvf demos.tar demos
tar -xvf demos.tar -C $RPM_BUILD_ROOT/usr/local/lib/blt2.1

%install
#
# BLT get installed in the build section. 
#
#

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT


%files
%dir /usr/local/lib/blt2.1/
/usr/local/lib/blt2.1/bltGraph.pro
/usr/local/lib/blt2.1/bltGraph.tcl
/usr/local/lib/blt2.1/dd_protocols
/usr/local/lib/blt2.1/tclIndex
/usr/local/lib/libBLT.so.2.1
/usr/local/lib/libBLT.so.2
/usr/local/lib/libBLT.so
/usr/local/include/blt.h
/usr/local/bin/bltwish
/usr/local/man/mann/BLT.n
/usr/local/man/mann/barchart.n
/usr/local/man/mann/bgexec.n
/usr/local/man/mann/bitmap.n
/usr/local/man/mann/bltdebug.n
/usr/local/man/mann/busy.n
/usr/local/man/mann/dragdrop.n
/usr/local/man/mann/graph.n
/usr/local/man/mann/htext.n
/usr/local/man/mann/spline.n
/usr/local/man/mann/table.n
/usr/local/man/mann/tile.n
/usr/local/man/mann/vector.n
/usr/local/man/mann/watch.n
/usr/local/man/mann/winop.n

%files -n jp-blt-demos
/usr/local/lib/blt2.1/demos


